Observability
List Observability Sessions
Lists sessions based on filter criteria.
Lists sessions based on filter criteria.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
platform*string
Filter by platform type.
Value in
"android" | "ios" | "web"version_key*string
The unique app ID to which the session belongs.
Format
textLength
1 <= lengthcursor?string
The cursor to resume iteration from. If not provided, then iteration starts from the beginning.
Format
textlimit?integer
The maximum number of sessions to return.
Format
int32mode?string
The iteration mode to use, otherwise if not set, then "after" is used.
Value in
"after" | "before"sort_by?array<string>
The fields to sort the sessions by and the direction to sort them.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/observability.sessions.list?platform=android&version_key=string"{
"next_cursor": "string",
"prev_cursor": "string",
"sessions": [
{
"type": "mobile",
"platform": "android",
"session_id": "string",
"created_at": "2023-01-01T12:00:00.000Z",
"device_metadata": {
"app_version": "string",
"manufacturer": "string",
"model": "string",
"network_type": "string",
"os_version": "string",
"plug_sdk_version": "string",
"screen_height": 0,
"screen_width": 0,
"sdk_version": "string"
},
"has_exception_occurred": true,
"is_anr": true,
"is_crash": true,
"rage_tap": true,
"recording_ids": [
"string"
],
"rev_org_id": "REV-AbCdEfGh",
"rev_user_id": "string",
"session_duration_ms": 0
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}